import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import OracleLogoLight from './OracleLogoLight';
import OracleLogoDark from './OracleLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const OracleLogoSvg = forwardRef(function OracleLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(OracleLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(OracleLogoLight, Object.assign({}, props, { ref: ref })));
});
export default OracleLogoSvg;
